#!/bin/bash

apt update
apt upgrade
apt install -y neofetch fortunes vim python3-pip gunicorn git

echo "" > /etc/motd

echo "" >> /etc/bash.bashrc
echo "neofetch" >> /etc/bash.bashrc
echo "/usr/games/fortune" >> /etc/bash.bashrc
echo "set mouse=" >> /etc/vim/vimrc

git clone https://dev.ilab.cl/git/pythonweb.git /srv

cd /srv
pip3 install setuptools
pip3 install -r web-interface/requirements.txt

systemctl stop webinterface.service

cp -f webinterface.service.sample /etc/systemd/system/webinterface.service

systemctl unmask webinterface.service
systemctl enable webinterface.service
systemctl start webinterface.service